#!/bin/sh
#pdf-converter for sidux-manual 
#Blue Shadow (Björn Jilg)
#bash recode by Michael Deelwater (ModestUser)
#updated by Trevor Walkley (bluewater) 2008-12-13 0500 hrs UTC to incorporate additional files
#License:LGPL http://www.gnu.org/licenses/lgpl.html

set -e
 
LANGSUFFIX="en" # edit to change manual language
TARGET_ENC="latin1"
 
BUILD_DIR=$(mktemp -d)
mkdir -p "${BUILD_DIR}/files"
mkdir "${BUILD_DIR}/lib"
 
cp -R /usr/share/sidux-manual/lib/* "${BUILD_DIR}/lib/"
cp /usr/share/sidux-manual/${LANGSUFFIX}/* "${BUILD_DIR}/files/"
 
FILES="welcome
wel-quickstart
help
manual-search
cd-content
cd-dl-burning
cd-no-gui-burn
live-mode
cheatcodes
cheatcodes-vga
tor-privoxy
ssh
samba
internet-connecting
internet-connecting-wpa
internet-connecting-wpagui
internet-connecting-ndis
part-gparted
part-uuid
part-cfdisk
part-size-examp
hd-install
hd-install-opts
term-konsole
hw-dev-hw-dri
hw-dev-mon
wm-kde
siduxcc
sys-admin-apt
sys-admin-meta
sys-admin-upgrade
sys-admin-kern-upg
sys-admin-gen
sys-admin-rdiff
sys-admin-rsync
vir-rkits
sys-admin-grub-bootman2
home
bios-freedos
lamp-apache
lamp-sql
lamp-ppp
ntp-server
smxi
credits"
 
i=1
MUL=10
for f in ${FILES}
do
        NUM=$(printf "%03d" $i)
        mv "${BUILD_DIR}/files/${f}-${LANGSUFFIX}.htm" "${BUILD_DIR}/files/${NUM}.htm"
        i=$((i+MUL))
done
 
STRSTART='<!-- menu starts here'
STREND='menu ends here -->'
 
find "${BUILD_DIR}/files/" -type f -name '*.htm' -print | while read i
do
        cp "$i" "$i.old"
 
        if [ -f "$i.old" ]
        then
                #echo "s/$STRSEARCH/$STRREPLACE/g"
                sed "/$STRSTART/, /$STREND/d" "$i" > "$i.new"
                if [ -f "$i.new" ]
                then
                        mv "$i.new" "$i"
                else
                        echo "$i.new doesn't exist"
                fi
        else
                echo "$i.tmp wasn't created"
        fi
done
 
for i in "${BUILD_DIR}/files"/*.htm; do recode utf8..${TARGET_ENC} "$i"; done
 
htmldoc --outfile "./manual-${LANGSUFFIX}.pdf" --webpage "${BUILD_DIR}/files"/*.htm
 
rm -fr "${BUILD_DIR}"
if [ -f "./manual-${LANGSUFFIX}.pdf" ]
then
        echo "manual-${LANGSUFFIX}.pdf created!"
else
        echo pdf creation failed
fi